/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-uup2qfqy8o] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-uup2qfqy8o] {
    flex: 1;
    background-color: #f4f7f6;
    min-height: 100vh;
}

.sidebar[b-uup2qfqy8o] {
    background-color: white;
    border-right: 1px solid #e5e7eb;
}

.top-row[b-uup2qfqy8o] {
    background-color: white;
    border-bottom: 1px solid #e5e7eb;
    justify-content: space-between;
    height: 4.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-uup2qfqy8o]  a, .top-row[b-uup2qfqy8o]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-uup2qfqy8o]  a:hover, .top-row[b-uup2qfqy8o]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-uup2qfqy8o]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-uup2qfqy8o] {
        justify-content: space-between;
    }

    .top-row[b-uup2qfqy8o]  a, .top-row[b-uup2qfqy8o]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-uup2qfqy8o] {
        flex-direction: row;
    }

    .sidebar[b-uup2qfqy8o] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-uup2qfqy8o] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-uup2qfqy8o]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-uup2qfqy8o], article[b-uup2qfqy8o] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-hmxd5l2su5] {
    background-color: rgba(0, 0, 0, 0.05);
}

.top-row[b-hmxd5l2su5] {
    min-height: 4rem;
    background-color: transparent;
    border-bottom: 0;
}

.navbar-brand[b-hmxd5l2su5] {
    font-size: 1.1rem;
}

.nav-item[b-hmxd5l2su5] {
    font-size: 0.95rem;
    padding-bottom: 0.25rem;
}

    .nav-item[b-hmxd5l2su5]  a {
        color: #4b5563;
        border-radius: 8px;
        height: 2.75rem;
        display: flex;
        align-items: center;
        line-height: 2.75rem;
        padding-left: 1rem;
        font-weight: 500;
        transition: all 0.2s ease;
    }

.nav-item[b-hmxd5l2su5]  a.active {
    background-color: #2b3990; /* Nexi deep blue */
    color: white;
}

    .nav-item[b-hmxd5l2su5]  a.active .bi {
        color: white;
    }

.nav-item[b-hmxd5l2su5]  a:hover:not(.active) {
    background-color: #f3f4f6;
    color: #111827;
}

@media (min-width: 641px) {
    .navbar-toggler[b-hmxd5l2su5] {
        display: none;
    }

    .collapse[b-hmxd5l2su5] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .nav-scrollable[b-hmxd5l2su5] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
